# containers.podman.podman_secret – Manage podman secrets

Note

This plugin is part of the containers.podman collection (version 1.10.1).

To install it use: `ansible-galaxy collection install containers.podman`.

To use it in a playbook, specify: `containers.podman.podman_secret`.

New in version 1.7.0: of containers.podman

- Synopsis

- Requirements

- Parameters

- Examples

## Synopsis

- Manage podman secrets

## Requirements

The below requirements are needed on the host that executes this module.

- podman

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
data string |  | The value of the secret. Required when `state` is `present`.
driver string |  | Override default secrets driver, currently podman uses `file` which is unencrypted.
driver_opts dictionary |  | Driver-specific key-value options.
executable string | Default: "podman" | Path to `podman` executable if it is not in the `$PATH` on the machine running `podman`
force boolean | Choices: no ← yes | Use it when `state` is `present` to remove and recreate an existing secret.
name string / required |  | The name of the secret.
skip_existing boolean | Choices: no ← yes | Use it when `state` is `present` and secret with the same name already exists. If set to `true`, the secret will NOT be recreated and remains as is.
state string | Choices: absent present ← | Whether to create or remove the named secret.

## Examples

    - name: Create secret
      containers.podman.podman_secret:
        state: present
        name: mysecret
        data: "my super secret content"

    - name: Create container that uses the secret
      containers.podman.podman_container:
        name: showmysecret
        image: docker.io/alpine:3.14
        secrets:
          - mysecret
        detach: false
        command: cat /run/secrets/mysecret
        register: container

    - name: Output secret data
      debug:
        msg: '{{ container.stdout }}'

    - name: Remove secret
      containers.podman.podman_secret:
        state: absent
        name: mysecret

### Authors

- Aliaksandr Mianzhynski (@amenzhinsky)